2

Apache NetBeans 9.0, released on the 29th of July, 2018.

Installing 8.2 is really easy, you just go here and download the installer.

Installation of 9.0 is an enigma. The official site here Only provides either source or a Mac version.

Is there a simple way? Something like taking installer and install?

3
  • This is the download page

https://netbeans.apache.org/download/index.html

  • Choose the link that says: Binaries: incubating-netbeans-java-9.0-bin.zip ( PGP ASC, SHA-1). It does not specify that it is for Windows, but it is for Windows.

  • Choose any http mirrors. It is rather old school that they cannot make a proper balance loader or CDN to group this links into one. However they are legit links.

  • now go back and press the SHA-1 link from the line Binaries: incubating-netbeans-java-9.0-bin.zip ( PGP ASC, SHA-1). This guys do not trust what they are linking to. So the only way you can be sure that you have downloaded what is needed is to check the file Hash. To get a Hash of your file go to command line and run

certutil -hashfile ~/Downloads/incubating-netbeans-java-9.0-bin.zip

and you will get something like that:

SHA1 hash of C:/Users/UserName/Downloads/incubating-netbeans-java-9.0-bin.zip:

e03f8bec1d56bd50287e4827282cdbbaae37812e

CertUtil: -hashfile command completed successfully.

So now you can compare your Hash with expected Hash.

  • I recommend to Unzip netbeans folder from .zip it to root directoyr in C:\ to avoid dealing with Windows User Account Control (UAC) technology.

  • Executable for Windows 10 (64) is C:\netbeans\bin\netbeans64.exe.

  • Once you start it, it most likely would give you a message saying that a java library needs to be installed/updated. There would be a button saying <install bla-blah-java-something>, do not hesitate to press it.

  • Now you have a dialog window with a drop down list on it. This software is not making it easy for you. You need to pick something that it needs. But don't worry the first default option with something-java-api is what you need. Pick it. and you are ready to go.

  • Apache NetBeans IDE 9 is working all right along side with NetBeans IDE 8.2 and `"NetBeans IDE Dev version xxxxx". You can have all 3 of them running at the same time.

| improve this answer | |
  • Don't forget that you can accept your own answer, which will help others who read this question in the future. – Mawg says reinstate Monica Dec 20 '18 at 7:33
  • 1
    Installing Netbeans 10 on Windows is the same. – Yevgeniy Afanasyev Apr 3 '19 at 6:11

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.